# Uncomment this line to define a global platform for your project
 platform :ios, '13.0'

# CocoaPods analytics sends network stats synchronously affecting flutter build latency.
ENV['COCOAPODS_DISABLE_STATS'] = 'true'

project 'Runner', {
  'Debug' => :debug,
  'Profile' => :release,
  'Release' => :release,
}

def flutter_root
  generated_xcode_build_settings_path = File.expand_path(File.join('..', 'Flutter', 'Generated.xcconfig'), __FILE__)
  unless File.exist?(generated_xcode_build_settings_path)
    raise "#{generated_xcode_build_settings_path} must exist. If you're running pod install manually, make sure flutter pub get is executed first"
  end

  File.foreach(generated_xcode_build_settings_path) do |line|
    matches = line.match(/FLUTTER_ROOT\=(.*)/)
    return matches[1].strip if matches
  end
  raise "FLUTTER_ROOT not found in #{generated_xcode_build_settings_path}. Try deleting Generated.xcconfig, then run flutter pub get"
end

require File.expand_path(File.join('packages', 'flutter_tools', 'bin', 'podhelper'), flutter_root)

flutter_ios_podfile_setup

target 'Runner' do
  use_frameworks!
  use_modular_headers!
  # Keep pod path relative so it can be checked into Podfile.lock.
    pod 'Flutter', :path => 'Flutter'
    pod 'OpenTok'
    pod 'Alamofire', '~> 5.2'
    pod 'AADraggableView'
#     pod 'Firebase', '~> 11.11.0'
    # Plugin Pods

  flutter_install_all_ios_pods File.dirname(File.realpath(__FILE__))
  pod 'DKImagePickerController/PhotoGallery', :git => 'https://github.com/miguelpruivo/DKImagePickerController.git'
end

# $deployment_target = '13.0'
# pre_install do |installer|
#   installer.pod_targets.each do |pod|
#     pod.platform = :ios, $deployment_target
#   end
# end

# post_install do |installer|
#   installer.pods_project.targets.each do |target|
#     target.build_configurations.each do |config|
#       config.build_settings['CLANG_CXX_LANGUAGE_STANDARD'] = 'c++17'
#       config.build_settings['CLANG_CXX_LIBRARY'] = 'libc++'
#       config.build_settings['IPHONEOS_DEPLOYMENT_TARGET'] = '13.0'
#       config.build_settings['EXCLUDED_ARCHS[sdk=iphonesimulator*]'] = 'arm64' # For Apple Silicon
#     end
#     flutter_additional_ios_build_settings(target)
#   end
# end

post_install do |installer|
  installer.pods_project.targets.each do |target|
  if target.name == 'BoringSSL-GRPC'
        target.source_build_phase.files.each do |file|
          if file.settings && file.settings['COMPILER_FLAGS']
            flags = file.settings['COMPILER_FLAGS'].split
            flags.reject! { |flag| flag == '-GCC_WARN_INHIBIT_ALL_WARNINGS' }
            file.settings['COMPILER_FLAGS'] = flags.join(' ')
          end
        end
      end
    flutter_additional_ios_build_settings(target)
    target.build_configurations.each do |build_configuration|
        build_configuration.build_settings['CLANG_CXX_LANGUAGE_STANDARD'] = 'c++17'
        build_configuration.build_settings['CLANG_CXX_LIBRARY'] = 'libc++'
        build_configuration.build_settings['OTHER_CPLUSPLUSFLAGS'] = '-std=c++17'

    build_configuration.build_settings['GCC_PREPROCESSOR_DEFINITIONS'] ||= [
                '$(inherited)',
                ## dart: [PermissionGroup.location, PermissionGroup.locationAlways, PermissionGroup.locationWhenInUse]
                 'PERMISSION_CAMERA=1',
                 'PERMISSION_MICROPHONE=1',
              ]
      build_configuration.build_settings['EXCLUDED_ARCHS[sdk=iphonesimulator*]'] = 'arm64 i386'
      build_configuration.build_settings['IPHONEOS_DEPLOYMENT_TARGET'] = '13.0'
      if build_configuration.build_settings['WRAPPER_EXTENSION'] == 'bundle'
              build_configuration.build_settings['DEVELOPMENT_TEAM'] = '3A359E86ZF'
            end
            build_configuration.build_settings['CLANG_CXX_LANGUAGE_STANDARD'] = 'c++17' # or 'c++17'
            build_configuration.build_settings['CLANG_CXX_LIBRARY'] = 'libc++'
    end
  end
end
